Package org.silverpeas.mobile.client.apps.config

## Class ConfigApp

- java.lang.Object
- - org.silverpeas.mobile.client.common.app.App
  - - org.silverpeas.mobile.client.apps.config.ConfigApp

- All Implemented Interfaces:
    `com.google.gwt.event.shared.EventHandler`, `ConfigAppEventHandler`, `NavigationEventHandler`, `AppEventHandler`

      public class ConfigApp
      extends App
      implements ConfigAppEventHandler

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.mobile.client.common.app.App

      `container`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfigApp()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `appInstanceChanged​(NavigationAppInstanceChangedEvent event)` |
    `static ConfigApp` | `getInstance()` |
    `void` | `loadConfig​(LoadConfigEvent event)` |
    `void` | `start()` |
    `void` | `stop()` |
    `void` | `updateConfig​(UpdateConfigEvent event)` |

    - ### Methods inherited from class org.silverpeas.mobile.client.common.app.App

      `getApplicationInstance, getAppName, getMainPage, isStopLoading, receiveEvent, setApplicationInstance, setMainPage, setStopLoading, showContent, startWithContent, stopLoadingDataEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigApp

          public ConfigApp()

  - ### Method Detail

    - #### start

          public void start()

      Overrides:
        `start` in class `App`

    - #### stop

          public void stop()

      Overrides:
        `stop` in class `App`

    - #### getInstance

          public static ConfigApp getInstance()

    - #### updateConfig

          public void updateConfig​(UpdateConfigEvent event)

      Specified by:
        `updateConfig` in interface `ConfigAppEventHandler`

    - #### loadConfig

          public void loadConfig​(LoadConfigEvent event)

      Specified by:
        `loadConfig` in interface `ConfigAppEventHandler`

    - #### appInstanceChanged

          public void appInstanceChanged​(NavigationAppInstanceChangedEvent event)

      Specified by:
        `appInstanceChanged` in interface `NavigationEventHandler`